{ config, lib, pkgs, options, ... }:

with lib;
let
  cfg = config.modules.services.mosh;
in {
  options.modules.services.mosh = {
    enable = mkEnableOption "enable mosh, the mobile SSH shell";
  };

  config = mkIf cfg.enable {
    programs.mosh = {
      enable = true;
    };
  };
}
